module work

! coef. metodei
real(8) teta0/.25_8/ 
real(8) b0  /6.0_8/		! 1/b0

real(8) teta10/ 3.0_8/	! 1/teta10
real(8) g0  /.5_8/

real(8) teta20/.5_8/
real(8) d0  /1._8/

real(8) m, k, c, zeta	! pt. ec. liniara ! vdp: lambda =zeta
real(8) omega, om2

real(8) omp, p0, oma		! excitaie armonica

! coeficienti:
real(8) C10,C20,C1,C2,C11,C21,da,ust

!              6.283185307179586476925286766559
real(8) pi2 / 6.283185307179586477_8/

real(8) t0, dt, dt2

integer numar_pasi, npas

logical liniar, true_solution

real(8) u0, u10, u20

integer krez, npas_dep

real(8) niu

end module work